%define srcname	awn-extras

%define libname		%mklibname awn-extras 0
%define develname	%mklibname awn-extras -d

Summary:	Applets for Avant Window Navigator
Name:		awn-extras-applets
Version:	0.4.0
Release:	%mkrel 5
Source0:	%{srcname}-%{version}.tar.gz
Patch0:		awn-extras-applets-0.4.0-python_dir.patch
Patch1:		awn-extras-applets-0.4.0-fix-cairo-menu.patch
Patch2:		awn-extras-0.4.0-libnotify.patch
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
URL:		https://launchpad.net/awn-extras
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#BuildRequires:	gnome-common
#BuildRequires:	libGConf2-devel
#BuildRequires:	libgtk+2-devel
#BuildRequires:	libgnome2-devel
#BuildRequires:	libgnomeui2-devel
#BuildRequires:	librsvg-devel
#BuildRequires:	libgtop2.0-devel
#BuildRequires:	libsexy-devel
#BuildRequires:	gnome-python-gtkmozembed
#BuildRequires:	gnome-python-applet
#BuildRequires:	gnome-python-gnomevfs
#BuildRequires:	python-alsaaudio
#BuildRequires:	python-cairo-devel
#BuildRequires:	pygtk2.0-devel
#BuildRequires:	libglade2-devel
#BuildRequires:	tracker-devel
#BuildRequires:	libbeagle-devel
BuildRequires:	intltool
BuildRequires:	libgnome-desktop-2-devel
BuildRequires:	libwnck-devel
BuildRequires:	libnotify-devel
BuildRequires:	awn-devel >= 0.4.0
BuildRequires:	gnome-menus-devel
BuildRequires:	gnome-python-desktop
BuildRequires:	gnome-python-gconf
BuildRequires:	vte-devel
BuildRequires:	gstreamer0.10-python
BuildRequires:	python-notify
BuildRequires:	python-feedparser
BuildRequires:	python-gnome-menus
BuildRequires:	python-devel
BuildRequires:	libgtop2.0-devel
BuildRequires:	python-dateutil
BuildRequires:	python-gdata
BuildRequires:	python-vobject
BuildRequires:	webkitgtk-devel
BuildRequires:	vala
Requires:	avant-window-navigator >= 0.4.0
#Requires:	gnome-python-gtkmozembed
Requires:	gnome-python-applet
Requires:	gnome-python-gnomevfs
Requires:	gnome-python-gconf
#Requires:	python-alsaaudio
Requires:	python-libgmail
Requires:	pygtk2.0
Requires:	python-notify
Requires:	python-feedparser
Requires:	python-gnome-menus
Requires:	gstreamer0.10-python
Requires:	python-cairo
Requires:	gnome-menus
Requires:	pygtk2.0-libglade
Obsoletes:	%libname < 0.4.0 %develname < 0.4.0

%description
Avant-window-navigator is a dock-style window list for GNOME. It provides
a view of your running applications in a dock at the bottom of the screen,
identified by their icon. This package contains optional applets for
avant-window-navigator, including a notification daemon, system monitor,
battery monitor, trash applet, volume control, weather applet and more.

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p0 -b .python
%patch1 -p0 -b .cairo-menu
%patch2 -p0 -b .libnotify

%build
./autogen.sh -V
%configure2_5x --disable-static \
	--with-webkit \
	--disable-static \
	--enable-shave \
	--with-gnu-ld
%make

%install
rm -rf %{buildroot}

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall_std

%find_lang %{srcname}

# don't ship .a or .la files:
find %{buildroot} -name '*.*a' -exec rm {} \;

%clean
rm -rf %{buildroot}

%files -f %{srcname}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%{_sysconfdir}/gconf/schemas/*
%{python_sitearch}/awn/extras
%{_libdir}/awn/applets
%dir %{_datadir}/avant-window-navigator
%{_datadir}/avant-window-navigator/applets
%{_datadir}/avant-window-navigator/schemas
%{_iconsdir}/hicolor/*/*/*.*


%changelog
* Mon Jun 20 2011 Funda Wang <fwang@mandriva.org> 0.4.0-5mdv2011.0
+ Revision: 686191
- rebuild for new webkit

* Mon May 23 2011 Funda Wang <fwang@mandriva.org> 0.4.0-4
+ Revision: 677511
- rebuild to add gconftool-2 as req

* Thu Apr 14 2011 Funda Wang <fwang@mandriva.org> 0.4.0-3
+ Revision: 652908
- build with libnotify 0.7

* Sat Nov 06 2010 Jani Välimaa <wally@mandriva.org> 0.4.0-2mdv2011.0
+ Revision: 594294
- rebuild for python 2.7

* Thu Apr 15 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.4.0-1mdv2010.1
+ Revision: 534989
- fix BR
- new upstream release 0.4.0
- go with webkit support instead of xulrunner
- no more lib packages
- add patch to fix python dir location where awn-extras is looked for
- add patch to fix cairo-menu-applet

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 0.3.2.2-2mdv2010.1
+ Revision: 490573
- rebuild for new libgnome-desktop

* Thu Jan 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.2.2-1mdv2010.1
+ Revision: 487376
- fix spec
- update to 0.3.2.2

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Feb 24 2009 Colin Guthrie <cguthrie@mandriva.org> 0.3.2-3mdv2009.1
+ Revision: 344553
- Don't require *the* notification-daemon, just *a* notification-daemon

* Wed Feb 11 2009 Lev Givon <lev@mandriva.org> 0.3.2-2mdv2009.1
+ Revision: 339507
- Fix build problems.

  + Adam Williamson <awilliamson@mandriva.org>
    - first cut update to 0.3.2

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.2.6-8mdv2009.1
+ Revision: 319123
- rebuild for python 2.6

* Tue Dec 23 2008 Adam Williamson <awilliamson@mandriva.org> 0.2.6-7mdv2009.1
+ Revision: 317805
- restore goetz's build fix lost in my commit
- fix a couple of hardcoded /usr/lib (#45345)

* Tue Nov 11 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.6-6mdv2009.1
+ Revision: 302228
- rebuilt against new libxcb

* Thu Nov 06 2008 Götz Waschk <waschk@mandriva.org> 0.2.6-5mdv2009.1
+ Revision: 300174
- fix build

* Mon Mar 03 2008 Adam Williamson <awilliamson@mandriva.org> 0.2.6-4mdv2008.1
+ Revision: 178145
- requires python-libgmail

* Mon Feb 25 2008 Adam Williamson <awilliamson@mandriva.org> 0.2.6-3mdv2008.1
+ Revision: 175124
- bump release
- adjust platsitedir.patch to install everything to platsitedir (colin g. reports that splitting between platsitedir and puresitedir causes problems)

* Sun Feb 24 2008 Adam Williamson <awilliamson@mandriva.org> 0.2.6-2mdv2008.1
+ Revision: 174372
- correct beagle br
- resolve namespace conflict with affinity-search (thanks Colin G.)
- buildrequires beagle-devel and tracker-devel to make sure all Affinity stuff is built

* Sun Feb 24 2008 Adam Williamson <awilliamson@mandriva.org> 0.2.6-1mdv2008.1
+ Revision: 174254
- pre-generate .pyc and .pyo files as per Python policy
- add platsitedir.patch (install python lib to platsitedir not puresitedir, as in a-w-n package)
- br libglade2-devel
- buildrequires / requires pygtk
- buildrequires / requires python-cairo
- buildrequires python-devel
- introduce lib packages as there's a library now
- adjust file lists etc for new release
- new release 0.2.6

* Sat Feb 09 2008 Adam Williamson <awilliamson@mandriva.org> 0.2.1-5mdv2008.1
+ Revision: 164563
- correct fix for the notification-daemon issue, from upstream:
  	+ don't provide a dbus service file
  	+ don't provide virtual-notification-daemon
  	+ require notification-daemon
  	+ rename gconf schema file not to conflict with notification-daemon's

* Sat Feb 09 2008 Adam Williamson <awilliamson@mandriva.org> 0.2.1-4mdv2008.1
+ Revision: 164381
- create a dbus .service file for the notification daemon (#37522)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 09 2007 Adam Williamson <awilliamson@mandriva.org> 0.2.1-3mdv2008.1
+ Revision: 107189
- specify version of avant-window-navigator required

* Wed Nov 07 2007 Adam Williamson <awilliamson@mandriva.org> 0.2.1-2mdv2008.1
+ Revision: 106797
- conflicts with notification-daemon, provides virtual-notification-daemon

* Wed Nov 07 2007 Adam Williamson <awilliamson@mandriva.org> 0.2.1-1mdv2008.1
+ Revision: 106762
- import awn-extras-applets


